Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002154Frama-CPlug-in > wppublic2015-09-01 21:302016-06-21 14:08
Reporterkroeckx 
Assigned Tocorrenson 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C Sodium 
Target VersionFixed in VersionFrama-C Aluminium 
Summary0002154: Zombie processes
DescriptionI'm starting it using:
frama-c-gui -wp -wp-rte -wp-proof alt-ergo <file>

There are lots of goals, and some take a long time to run. I end up with lots of zombie processes. The number of zombie processes matches the number of "interrupted" in the summary. For some reason it's not cleaning up those properly.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002132closedcorrenson Under windows, many times, Frama-c wp process doesn't kill alt-ergo process before finishing 

-  Notes
(0006015)
yakobowski (manager)
2015-09-02 09:47

Can you give us some additional on the OS you are using?
(0006017)
kroeckx (reporter)
2015-09-02 18:30

I'm using Debian testing on an amd64, but I assume at least all POSIX will have the issue.

Please note that it's not like the related windows issue. The process has exited but still exist. It's just still has some status information kept with it that the parent could ask for like it's exit status. The process itself isn't using an CPU or memory anymore. When the parent doesn't care about it anymore it should clean it up. When a child exits you get send a SIGCHLD signal. You can then still ask for that status information about the child using functions like wait() and waitpid(), which will also clean it up. If you don't care about the exit status you can use signal() to say to ignore SIGCHLD and the kernel will then automatically clean it up.
(0006091)
correnson (manager)
2015-10-28 10:46

The bug have been isolated.

- Issue History
Date Modified Username Field Change
2015-09-01 21:30 kroeckx New Issue
2015-09-02 09:47 yakobowski Note Added: 0006015
2015-09-02 09:47 yakobowski Category Kernel => Plug-in > wp
2015-09-02 09:47 yakobowski Assigned To => correnson
2015-09-02 09:47 yakobowski Status new => assigned
2015-09-02 10:06 correnson Relationship added related to 0002132
2015-09-02 18:30 kroeckx Note Added: 0006017
2015-10-28 10:46 correnson Note Added: 0006091
2015-10-28 10:46 correnson Status assigned => acknowledged
2015-11-25 15:37 correnson Status acknowledged => resolved
2015-11-25 15:37 correnson Fixed in Version => Frama-C Aluminium
2015-11-25 15:37 correnson Resolution open => fixed
2016-06-21 14:08 signoles Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker